Estoy intentado utilizar el DNI electrónico y me pide una librería criptográfica

Para poder interaccionar adecuadamente con las tarjetas criptográficas en general y con el DNI electrónico en particular, el equipo ha de tener instalados unas "piezas" de software denominadas módulos criptográficos.

  • En un entorno Microsoft Windows, el equipo debe tener instalado un servicio que se denomina "Cryptographic Service Provider" (CSP) o también con el módulo PKCS#11.
  • En los entornos UNIX / Linux o MAC podemos utilizar el DNI electrónico a través de un módulo criptográfico denominado PKCS#11.

Tanto el CSP como el PKS#11 específico para el DNI electrónico podrán obtenerse en la dirección www.dnielectronico.es/descargas/.

Adicionalmente, para operar con un lector de tarjetas inteligentes, será necesario instalar un driver que, normalmente, se distribuye con el propio lector.